## Class odr_violation

boost::log::odr_violation — Exception class that is used to indicate ODR violation.

## Synopsis

    // In header: <boost/log/exceptions.hpp>

    class odr_violation : public logic_error {
    public:

      // public member functions
      odr_violation();
      explicit odr_violation(std::string const &);
      ~odr_violation();
    };

## Description

### `odr_violation` public member functions

1.     odr_violation();

   Default constructor. Creates an exception with the default error message.

2.     explicit odr_violation(std::string const & descr);

   Initializing constructor. Creates an exception with the specified error message.

3.     ~odr_violation();

   Destructor